import {
  __decorateClass
} from "../../chunks/chunk.QU3DSPNU.js";
import { GdsElement } from "../../gds-element.js";
import { gdsCustomElement, html } from "../../scoping.js";
let GdsListItem = class extends GdsElement {
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("role", "listitem");
  }
  render() {
    return html`<slot></slot>`;
  }
};
GdsListItem = __decorateClass([
  gdsCustomElement("gds-list-item")
], GdsListItem);
export {
  GdsListItem
};
